.\" documentation file generated from SDFDisplayVideo.pl by ptlang
.\" Copyright (c) 1990, 1991, 1992 The Regents of the University of California.
.\" All rights reserved.
.\" See the file ~ptolemy/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "DisplayVideo"
.SD
Accept a stream of black-and-white images from input GrayImages,
save the images to files, and display the resulting files as a
moving video sequence. This star requires that programs from
the "Utah Raster Toolkit" be in your "path" variable. Although this
toolkit is not included with Ptolemy it is available for free.
See this star's long description (with the "look-inside"
or "manual" commands in the Ptolemy menu) for info on how to get
the toolkit.

The user can set the root filename of the displayed images (which
probably will be printed in the display window titlebar) with
the 'ImageName' state. If no filename is set, a default will
be chosen.

The 'Save' state can be set to "YES" or "NO" to choose whether
the created image files should be saved or deleted.
Each image's frame number is appended to the root filename
to form the image's complete filename.
.SE
.LO "SDF image palette"
.DM SDF SDFStar
.SV 1.11 "12/8/92"
.AL "Paul Haskell"
.IH
.NE
\fIinData\fR (message)
.PE
.SH
.NE
\fIImageName\fR (StringState): If non-null, name for RLE file.
.DF ""
.NE
\fISave\fR (IntState): If true (YES), then save the file
.DF "NO"
.ET
.LD
.pp
At the end of a simulation this star pops up an X window and
loads in a sequence of video frames for display.
Pressing the left or right mouse buttons inside the window plays
the video sequence backwards or forwards.
The middle mouse button allows single-stepping through frames.
If you hold down the shift key while pressing the left mouse button,
you loop through the sequence.
The shift key and middle mouse button lets you alter the frame rate
of the displayed video.
The shift key and right mouse button loops through the video
sequence alternately forwards and backwards.
To end a loop playback, press any mouse button in the video window.
To close the window type "q" inside.
.pp
This star uses programs from the
\fIUtah Raster Toolkit\fR
to display moving video in an X window.
The Utah Raster Toolkit is a collection of software tools from the
University of Utah.
These programs are available free via anonymous ftp.
To get the software:
.sp
unix> ftp cs.utah.edu
.sp
ftp name> anonymous
.br
ftp passwd> YOUR EMAIL ADDRESS
.br
ftp> binary
.br
ftp> cd pub
.br
ftp> get urt-3.0.tar.Z
.br
ftp> quit
.sp
unix> uncompress urt-3.0.tar.Z
.br
unix> tar xvf urt-3.0.tar
.sp
Then, change directories to the new urt_3.0 directory and build the
software.
To use the software, put the name of the directory with the URT
executable files into the definition of the \fIpath\fR variable
inside the .cshrc file in your home directory.
.pp
These instructions are appropriate as of December 1992 but may change
in the future.
.ES
