.\" documentation file generated from SDFWaveFormCx.pl by ptlang
.\" Copyright (c) 1990, 1991, 1992 The Regents of the University of California.
.\" All rights reserved.
.\" See the file ~ptolemy/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "WaveFormCx"
.SD
Output a complex waveform as specified by the array state "value"
(default "(1,0) (-1,0)").
To halt the simulation after exhausting the data, set "haltAtEnd" to YES.
Otherwise, to get a periodic waveform, set "periodic" to YES.
Then the value list will be cyclically repeated.
If "periodic" is not YES, and "haltAtEnd" is NO, then the value list is
output only once, and (0,0) values are output subsequently.
This star may be used to read a file by simply setting "value" to
something of the form "< filename".
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 1.6 "12/8/92"
.AL "J. T. Buck and E. A. Lee"
.OH
.NE
\fIoutput\fR (complex)
.PE
.SH
.NE
\fIvalue\fR (ComplexArrayState): One period of the output waveform.
.DF "(1,0) (-1,0)"
.NE
\fIhaltAtEnd\fR (IntState): Halt the run at the end of the given data.
.DF "NO"
.NE
\fIperiodic\fR (IntState): Output is periodic if "YES" (nonzero).
.DF "YES"
.ET
.LD
Since this star can be used to read a complex waveform from a file,
there is no other star dedicated to this purpose.
.IE "file read"
.IE "complex waveform"
.IE "reading from a file"
.IE "halting a simulation"
.ES
